Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.examples.checklist
Interface ChecklistManager

All Known Implementing Classes:
  DefaultChecklistManager

    public interface ChecklistManager

Method Summary
`ChecklistItem` | `addTask(String userId, String[] actorIds, String[] groupIds, String name, String orderingId, long processInstanceId)`
`void` | `claimTask(String userId, long taskId)`
`void` | `completeTask(String userId, long taskId)`
`long` | `createContext(String name)`
`List<ChecklistContext>` | `getContexts()`
`List<ChecklistItem>` | `getTasks(long processInstanceId, List<ChecklistContextConstraint> contexts)`
`void` | `releaseTask(String userId, long taskId)`
`void` | `updateTaskDescription(long taskId, String description)`
`void` | `updateTaskName(long taskId, String name)`
`void` | `updateTaskPotentialOwners(long taskId, List<OrganizationalEntity> potentialOwners)`
`void` | `updateTaskPriority(long taskId, int priority)`

Method Detail

### getContexts

    List<ChecklistContext> getContexts()

### createContext

    long createContext(String name)

### getTasks

    List<ChecklistItem> getTasks(long processInstanceId,
                                 List<ChecklistContextConstraint> contexts)

### addTask

    ChecklistItem addTask(String userId,
                          String[] actorIds,
                          String[] groupIds,
                          String name,
                          String orderingId,
                          long processInstanceId)

### updateTaskName

    void updateTaskName(long taskId,
                        String name)

### updateTaskDescription

    void updateTaskDescription(long taskId,
                               String description)

### updateTaskPriority

    void updateTaskPriority(long taskId,
                            int priority)

### updateTaskPotentialOwners

    void updateTaskPotentialOwners(long taskId,
                                   List<OrganizationalEntity> potentialOwners)

### claimTask

    void claimTask(String userId,
                   long taskId)

### releaseTask

    void releaseTask(String userId,
                     long taskId)

### completeTask

    void completeTask(String userId,
                      long taskId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.